윈도우10은 기본적으로 .NET Framework(닷넷프레임워크) 4.6 버전이 설치되어 있습니다. 하지만 게임이나 유틸리티등을 설치하려고 하면 .NET Framework 3.5 이하의 버전을 요구하는 경우가 있는데요.

윈도우10에서는 기본적으로 .NET Framework 3.5, 2.0 버전을 윈도우 기능에 포함하고 있어서 쉽게 설치가 가능합니다.

윈도우10 .NET Framework(닷넷프레임워크) 3.5 2.0 설치하기

win10_program

웹 및 Windows 검색 창에서  프로그램 및 기능 을 입력한 다음 실행합니다. 또는 제어판 – 프로그램 및 기능을 클릭합니다.

win10_features_on_off

프로그램 및 기능 왼쪽 메뉴의  Windows 기능 켜기/끄기 를 클릭합니다.

win10_features_on_off_dotnet_framework

Windows 기능 켜기/끄기 에서 .NET Framework 3.5(.NET 2.0 및 3.0 포함)에 체크 후 확인을 클릭하면 .NET Framework 3.5 이하 버전을 설치할수 있습니다.

익스트림 매뉴얼 주인장 PG입니다. 다방면의 디지털 기술에 관심이 많고 삽질을 즐겨합니다. 포스트 내용중 궁금한 점이 있다면 댓글로 남겨주세요.

익스트림 매뉴얼의 모든 내용은 불펌금지 입니다. 자세한 내용은 [링크]를 참조하세요.

  • 이백희

    Windows 10 에서 .net framework 3.5 설치하기 설명글 잘 보았고, 이대로 따라하니 쉽고 간단하게 처리할 수 있었습니다. 고맙습니다~

    • PG

      쉽게 해결하셨다니 다행입니다. 🙂

  • BY

    기능 켜기에서 체크를 하고 확인을 누르면 ‘일부 기능 설치를 완료하려면 윈도우 업데이트의 파일이 필요합니다.’ 라는 팝업이 확인되는데.. 여기서 윈도우 업데이트에서 파일 다운로드를 클릭하니까 ‘윈도우가 요청된 변경 사항을 완료하지 못했습니다.’ 라는 팝업과 함께 오류코드: 0x800F081F 라고 뜨네요. 인터넷은 잘 연결되어있는데 왜그럴까요? 도와주신다면 감사하겠습니다.

  • 준232

    오류: 14081

    참조된 어셈블리를 찾을 수 없습니다.

    DISM 로그 파일은 C:\WINDOWS\Logs\DISM\dism.log에 있습니다.

    -> 댓글 참고해서 다 따라해봤는데 이러네요. 원인좀 알수가 없을까요..

    • PG

      로그 파일 내용을 알수 있을까요?

    • 준232

      메모장 파일 내용말씀하시는건가요??

    • 준232

      컴퓨터 너무 어렵네요… 하… ㅠ

    • PG

      혹시 https://extrememanual.net/9130 이글 보셨나요?

      거의 대부분 위 링크 방법으로 해결 가능한데 그래도 안된다면 윈도우를 재설치하는 것이 좋습니다.

    • 준232

      저렇게 해봐도 안되네요.. 윈도우 재설치를 해야겠어요.
      오류코드가 위에랑 좀 다르네요 0x80073701 인데 혹시 아는거 있으신지요 ㅠㅠ

    • PG

      https://extrememanual.net/9392 이 방법으로 시스템 파일을 복구해 보고 안되면 윈도우를 재설치하는 방법밖에 없어 보입니다.

  • 컴초보

    위에 체크를 하면 2.0을 재설치 안해도 2.0을 필요로 하는 프로그램설치가 가능한건가요?

    • PG

      네 2.0 포함되어 설치되니 따로 설치할 필요는 없습니다.

  • ㅠㅠ

    필요한 파일 다운로드중
    에서 로딩이 멈춰버리네요..
    이런경우엔 어떻게 해야하나요..??